POST api/distributionapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
DistributionViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| communication_server_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "91aab935-cbc2-4d8c-89da-583e30e37a38",
"name": "sample string 2",
"communication_server_id": "4b3dff38-afa4-43fe-8de9-8210d5af6335",
"active": true
}
application/xml, text/xml
Sample:
<distribution xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <communication_server_id>4b3dff38-afa4-43fe-8de9-8210d5af6335</communication_server_id> <id>91aab935-cbc2-4d8c-89da-583e30e37a38</id> <name>sample string 2</name> </distribution>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"b63e1cc6-1c56-4fd1-b08b-339179f8e0b2"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">b63e1cc6-1c56-4fd1-b08b-339179f8e0b2</guid>